<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>describe &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>describe
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 1.3% of total for procedures.">265 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">describe</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public function describe(ch) result(string)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code><span class="k">describe</span><span class="p">(</span><span class="mi">3</span><span class="n">f</span><span class="p">)</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="o">[</span><span class="n">M_strings</span><span class="o">]</span><span class="w"> </span><span class="k">returns</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">string</span><span class="w"> </span><span class="n">describing</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">name</span><span class="w"> </span><span class="k">of</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">single</span><span class="w"> </span><span class="k">character</span><span class="w"></span>
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code><span class="k">function</span><span class="w"> </span><span class="nf">describe(ch) result </span><span class="p">(</span>string<span class="p">)</span><span class="w"></span>

<span class="w"> </span><span class="n">character</span><span class="p">(</span><span class="n">len</span><span class="p">=</span><span class="mi">1</span><span class="p">),</span><span class="n">intent</span><span class="p">(</span><span class="n">in</span><span class="p">)</span><span class="w">   </span><span class="p">::</span><span class="w"> </span><span class="n">ch</span><span class="w"></span>
<span class="w"> </span><span class="n">character</span><span class="p">(</span><span class="n">len</span><span class="p">=:),</span><span class="n">allocatable</span><span class="w">  </span><span class="p">::</span><span class="w"> </span><span class="nb">string</span><span class="w"></span>
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code>describe(3f) returns a string describing long name of a single character
</code></pre></div>

<h2>EXAMPLES</h2>
<p>Sample Program:</p>
<div class="codehilite"><pre><span></span><code><span class="n">program</span> <span class="n">demo_describe</span>
 <span class="n">use</span> <span class="n">M_strings</span><span class="p">,</span> <span class="n">only</span> <span class="p">:</span> <span class="n">describe</span>
 <span class="n">implicit</span> <span class="n">none</span>
 <span class="n">integer</span> <span class="p">::</span> <span class="n">i</span>
    <span class="n">do</span> <span class="n">i</span><span class="o">=</span><span class="mi">1</span><span class="p">,</span><span class="mi">128</span>  <span class="o">!</span> <span class="n">fill</span> <span class="n">variable</span> <span class="n">with</span> <span class="n">base</span> <span class="n">ASCII</span> <span class="n">character</span> <span class="n">set</span>
       <span class="n">write</span><span class="p">(</span><span class="o">*</span><span class="p">,</span><span class="o">*</span><span class="p">)</span><span class="n">describe</span><span class="p">(</span><span class="nb">char</span><span class="p">(</span><span class="n">i</span><span class="o">-</span><span class="mi">1</span><span class="p">))</span>
    <span class="n">enddo</span>
<span class="n">end</span> <span class="n">program</span> <span class="n">demo_describe</span>
</code></pre></div>

<p>Expected output</p>
<div class="codehilite"><pre><span></span><code><span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="p">@</span><span class="w"> </span><span class="n">or</span><span class="w"> </span><span class="n">ctrl</span><span class="o">-</span>?<span class="w"> </span><span class="p">(</span><span class="n">NUL</span><span class="p">)</span><span class="w"> </span><span class="nb">null</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">A</span><span class="w"> </span><span class="p">(</span><span class="n">SOH</span><span class="p">)</span><span class="w"> </span><span class="nb">start</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">heading</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">B</span><span class="w"> </span><span class="p">(</span><span class="n">STX</span><span class="p">)</span><span class="w"> </span><span class="nb">start</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="nb">text</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">C</span><span class="w"> </span><span class="p">(</span><span class="n">ETX</span><span class="p">)</span><span class="w"> </span><span class="k">end</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="nb">text</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">D</span><span class="w"> </span><span class="p">(</span><span class="n">EOT</span><span class="p">)</span><span class="w"> </span><span class="k">end</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">transmission</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">E</span><span class="w"> </span><span class="p">(</span><span class="n">ENQ</span><span class="p">)</span><span class="w"> </span><span class="n">enquiry</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">F</span><span class="w"> </span><span class="p">(</span><span class="n">ACK</span><span class="p">)</span><span class="w"> </span><span class="n">acknowledge</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">G</span><span class="w"> </span><span class="p">(</span><span class="n">BEL</span><span class="p">)</span><span class="w"> </span><span class="n">bell</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">H</span><span class="w"> </span><span class="p">(</span><span class="n">BS</span><span class="p">)</span><span class="w"> </span><span class="n">backspace</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">I</span><span class="w"> </span><span class="p">(</span><span class="n">HT</span><span class="p">)</span><span class="w"> </span><span class="n">horizontal</span><span class="w"> </span><span class="n">tabulation</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">J</span><span class="w"> </span><span class="p">(</span><span class="n">LF</span><span class="p">)</span><span class="w"> </span><span class="nb">line</span><span class="w"> </span><span class="n">feed</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">K</span><span class="w"> </span><span class="p">(</span><span class="n">VT</span><span class="p">)</span><span class="w"> </span><span class="n">vertical</span><span class="w"> </span><span class="n">tabulation</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">L</span><span class="w"> </span><span class="p">(</span><span class="n">FF</span><span class="p">)</span><span class="w"> </span><span class="n">form</span><span class="w"> </span><span class="n">feed</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">M</span><span class="w"> </span><span class="p">(</span><span class="n">CR</span><span class="p">)</span><span class="w"> </span><span class="n">carriage</span><span class="w"> </span><span class="k">return</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">N</span><span class="w"> </span><span class="p">(</span><span class="n">SO</span><span class="p">)</span><span class="w"> </span><span class="n">shift</span><span class="w"> </span><span class="n">out</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">O</span><span class="w"> </span><span class="p">(</span><span class="n">SI</span><span class="p">)</span><span class="w"> </span><span class="n">shift</span><span class="w"> </span><span class="n">in</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">P</span><span class="w"> </span><span class="p">(</span><span class="n">DLE</span><span class="p">)</span><span class="w"> </span><span class="n">data</span><span class="w"> </span><span class="n">link</span><span class="w"> </span><span class="n">escape</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">Q</span><span class="w"> </span><span class="p">(</span><span class="n">DC1</span><span class="p">)</span><span class="w"> </span><span class="n">device</span><span class="w"> </span><span class="n">control</span><span class="w"> </span><span class="mi">1</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">R</span><span class="w"> </span><span class="p">(</span><span class="n">DC2</span><span class="p">)</span><span class="w"> </span><span class="n">device</span><span class="w"> </span><span class="n">control</span><span class="w"> </span><span class="mi">2</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">S</span><span class="w"> </span><span class="p">(</span><span class="n">DC3</span><span class="p">)</span><span class="w"> </span><span class="n">device</span><span class="w"> </span><span class="n">control</span><span class="w"> </span><span class="mi">3</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">T</span><span class="w"> </span><span class="p">(</span><span class="n">DC4</span><span class="p">)</span><span class="w"> </span><span class="n">device</span><span class="w"> </span><span class="n">control</span><span class="w"> </span><span class="mi">4</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">U</span><span class="w"> </span><span class="p">(</span><span class="n">NAK</span><span class="p">)</span><span class="w"> </span><span class="n">negative</span><span class="w"> </span><span class="n">acknowledge</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">V</span><span class="w"> </span><span class="p">(</span><span class="n">SYN</span><span class="p">)</span><span class="w"> </span><span class="n">synchronous</span><span class="w"> </span><span class="n">idle</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">W</span><span class="w"> </span><span class="p">(</span><span class="n">ETB</span><span class="p">)</span><span class="w"> </span><span class="k">end</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">transmission</span><span class="w"> </span><span class="n">block</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">X</span><span class="w"> </span><span class="p">(</span><span class="n">CAN</span><span class="p">)</span><span class="w"> </span><span class="n">cancel</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">Y</span><span class="w"> </span><span class="p">(</span><span class="n">EM</span><span class="p">)</span><span class="w"> </span><span class="k">end</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">medium</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">Z</span><span class="w"> </span><span class="p">(</span><span class="n">SUB</span><span class="p">)</span><span class="w"> </span><span class="n">substitute</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="p">[</span><span class="w"> </span><span class="p">(</span><span class="n">ESC</span><span class="p">)</span><span class="w"> </span><span class="n">escape</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-\</span><span class="w"> </span><span class="n">or</span><span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="p">@</span><span class="w"> </span><span class="p">(</span><span class="n">FS</span><span class="p">)</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">separator</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="p">]</span><span class="w"> </span><span class="p">(</span><span class="n">GS</span><span class="p">)</span><span class="w"> </span><span class="n">group</span><span class="w"> </span><span class="n">separator</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span>^<span class="w"> </span><span class="n">or</span><span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="p">=</span><span class="w"> </span><span class="p">(</span><span class="n">RS</span><span class="p">)</span><span class="w"> </span><span class="nb">record</span><span class="w"> </span><span class="n">separator</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span><span class="n">_</span><span class="w"> </span><span class="p">(</span><span class="n">US</span><span class="p">)</span><span class="w"> </span><span class="n">unit</span><span class="w"> </span><span class="n">separator</span><span class="w"></span>
<span class="w"> </span><span class="n">space</span><span class="w"></span>
<span class="w"> </span>!<span class="w"> </span><span class="n">exclamation</span><span class="w"> </span><span class="n">point</span><span class="w"></span>
<span class="w"> </span>&quot;<span class="w"> </span><span class="n">quotation</span><span class="w"> </span><span class="n">marks</span><span class="w"></span>
<span class="w"> </span>#<span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="nb">sign</span><span class="w"></span>
<span class="w"> </span>$<span class="w"> </span><span class="n">currency</span><span class="w"> </span><span class="n">symbol</span><span class="w"></span>
<span class="w"> </span><span class="c">% percent</span><span class="w"></span>
<span class="w"> </span><span class="o">&amp;</span><span class="w"> </span><span class="n">ampersand</span><span class="w"></span>
<span class="w"> </span><span class="s">&#39;</span><span class="err"> apostrophe</span>
<span class="w"> </span><span class="p">(</span><span class="w"> </span><span class="n">left</span><span class="w"> </span><span class="n">parenthesis</span><span class="w"></span>
<span class="w"> </span><span class="p">)</span><span class="w"> </span><span class="n">right</span><span class="w"> </span><span class="n">parenthesis</span><span class="w"></span>
<span class="w"> </span><span class="o">*</span><span class="w"> </span><span class="n">asterisk</span><span class="w"></span>
<span class="w"> </span><span class="o">+</span><span class="w"> </span><span class="nb">plus</span><span class="w"></span>
<span class="w"> </span><span class="p">,</span><span class="w"> </span><span class="n">comma</span><span class="w"></span>
<span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="n">minus</span><span class="w"></span>
<span class="w"> </span><span class="p">.</span><span class="w"> </span><span class="n">period</span><span class="w"></span>
<span class="w"> </span><span class="o">/</span><span class="w"> </span><span class="n">slash</span><span class="w"></span>
<span class="w"> </span><span class="mi">0</span><span class="w"> </span><span class="n">zero</span><span class="w"></span>
<span class="w"> </span><span class="mi">1</span><span class="w"> </span><span class="n">one</span><span class="w"></span>
<span class="w"> </span><span class="mi">2</span><span class="w"> </span><span class="n">two</span><span class="w"></span>
<span class="w"> </span><span class="mi">3</span><span class="w"> </span><span class="n">three</span><span class="w"></span>
<span class="w"> </span><span class="mi">4</span><span class="w"> </span><span class="n">four</span><span class="w"></span>
<span class="w"> </span><span class="mi">5</span><span class="w"> </span><span class="n">five</span><span class="w"></span>
<span class="w"> </span><span class="mi">6</span><span class="w"> </span><span class="n">six</span><span class="w"></span>
<span class="w"> </span><span class="mi">7</span><span class="w"> </span><span class="n">seven</span><span class="w"></span>
<span class="w"> </span><span class="mi">8</span><span class="w"> </span><span class="n">eight</span><span class="w"></span>
<span class="w"> </span><span class="mi">9</span><span class="w"> </span><span class="n">nine</span><span class="w"></span>
<span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="nb">colon</span><span class="w"></span>
<span class="w"> </span><span class="p">;</span><span class="w"> </span><span class="n">semicolon</span><span class="w"></span>
<span class="w"> </span><span class="o">&lt;</span><span class="w"> </span><span class="n">less</span><span class="w"> </span><span class="n">than</span><span class="w"></span>
<span class="w"> </span><span class="p">=</span><span class="w"> </span><span class="n">equals</span><span class="w"></span>
<span class="w"> </span><span class="o">&gt;</span><span class="w"> </span><span class="n">greater</span><span class="w"> </span><span class="n">than</span><span class="w"></span>
<span class="w"> </span>?<span class="w"> </span><span class="n">question</span><span class="w"> </span><span class="n">mark</span><span class="w"></span>
<span class="w"> </span><span class="p">@</span><span class="w"> </span><span class="n">at</span><span class="w"> </span><span class="nb">sign</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">A</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">B</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">C</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">D</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">E</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">F</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">G</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">H</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">I</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">J</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">K</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">L</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">M</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">N</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">O</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">P</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">Q</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">R</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">S</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">T</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">U</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">V</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">W</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">X</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">Y</span><span class="w"></span>
<span class="w"> </span><span class="n">majuscule</span><span class="w"> </span><span class="n">Z</span><span class="w"></span>
<span class="w"> </span><span class="p">[</span><span class="w"> </span><span class="n">left</span><span class="w"> </span><span class="n">bracket</span><span class="w"></span>
<span class="w"> </span><span class="o">\</span><span class="w"> </span><span class="n">backslash</span><span class="w"></span>
<span class="w"> </span><span class="p">]</span><span class="w"> </span><span class="n">right</span><span class="w"> </span><span class="n">bracket</span><span class="w"></span>
<span class="w"> </span>^<span class="w"> </span><span class="n">caret</span><span class="w"></span>
<span class="w"> </span><span class="n">_</span><span class="w"> </span><span class="n">underscore</span><span class="w"></span>
<span class="w"> </span>`<span class="w"> </span><span class="n">grave</span><span class="w"> </span><span class="n">accent</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">a</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">b</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">c</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">d</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">e</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">f</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">g</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">h</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="nb">i</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="nb">j</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">k</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">l</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">m</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">n</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">o</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">p</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">q</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">r</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">s</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">t</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">u</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">v</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">w</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">x</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">y</span><span class="w"></span>
<span class="w"> </span><span class="n">miniscule</span><span class="w"> </span><span class="n">z</span><span class="w"></span>
<span class="w"> </span><span class="p">{</span><span class="w"> </span><span class="n">left</span><span class="w"> </span><span class="n">brace</span><span class="w"></span>
<span class="w"> </span><span class="o">|</span><span class="w"> </span><span class="n">vertical</span><span class="w"> </span><span class="nb">line</span><span class="w"></span>
<span class="w"> </span><span class="p">}</span><span class="w"> </span><span class="n">right</span><span class="w"> </span><span class="n">brace</span><span class="w"></span>
<span class="w"> </span><span class="o">~</span><span class="w"> </span><span class="n">tilde</span><span class="w"></span>
<span class="w"> </span><span class="n">ctrl</span><span class="o">-</span>?<span class="w"> </span><span class="p">(</span><span class="n">DEL</span><span class="p">)</span><span class="w"> </span><span class="nb">delete</span><span class="w"></span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ch"></span>character(len=1),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ch</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-string%7E12"></span>character(len=:),
  allocatable</small></h3>
    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~describe~~CallsGraph Pages: 1 -->
<svg id="procdescribeCallsGraph" width="456pt" height="158pt"
 viewBox="0.00 0.00 456.00 158.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~describe~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 154)">
<title>proc~~describe~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-154 452,-154 452,4 -4,4"/>
<!-- proc~describe -->
<g id="proc~~describe~~CallsGraph_node1" class="node">
<title>proc~describe</title>
<polygon fill="none" stroke="#000000" points="54,-87 0,-87 0,-63 54,-63 54,-87"/>
<text text-anchor="middle" x="27" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">describe</text>
</g>
<!-- interface~v2s -->
<g id="proc~~describe~~CallsGraph_node2" class="node">
<title>interface~v2s</title>
<g id="a_proc~~describe~~CallsGraph_node2"><a xlink:href=".././interface/v2s.html" xlink:title="v2s">
<polygon fill="#a7506f" stroke="#a7506f" points="144,-87 90,-87 90,-63 144,-63 144,-87"/>
<text text-anchor="middle" x="117" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">v2s</text>
</a>
</g>
</g>
<!-- proc~describe&#45;&gt;interface~v2s -->
<g id="proc~~describe~~CallsGraph_edge1" class="edge">
<title>proc~describe&#45;&gt;interface~v2s</title>
<path fill="none" stroke="#000000" d="M54.003,-75C62.0277,-75 70.9665,-75 79.5309,-75"/>
<polygon fill="#000000" stroke="#000000" points="79.7051,-78.5001 89.705,-75 79.705,-71.5001 79.7051,-78.5001"/>
</g>
<!-- proc~l2s -->
<g id="proc~~describe~~CallsGraph_node3" class="node">
<title>proc~l2s</title>
<g id="a_proc~~describe~~CallsGraph_node3"><a xlink:href=".././proc/l2s.html" xlink:title="l2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="234,-150 180,-150 180,-126 234,-126 234,-150"/>
<text text-anchor="middle" x="207" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">l2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~l2s -->
<g id="proc~~describe~~CallsGraph_edge2" class="edge">
<title>interface~v2s&#45;&gt;proc~l2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M134.3529,-87.147C147.6752,-96.4726 166.2758,-109.4931 181.3202,-120.0241"/>
<polygon fill="#000000" stroke="#000000" points="179.5009,-123.0229 189.7004,-125.8903 183.5152,-117.2883 179.5009,-123.0229"/>
</g>
<!-- proc~r2s -->
<g id="proc~~describe~~CallsGraph_node4" class="node">
<title>proc~r2s</title>
<g id="a_proc~~describe~~CallsGraph_node4"><a xlink:href=".././proc/r2s.html" xlink:title="r2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="234,-108 180,-108 180,-84 234,-84 234,-108"/>
<text text-anchor="middle" x="207" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">r2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~r2s -->
<g id="proc~~describe~~CallsGraph_edge3" class="edge">
<title>interface~v2s&#45;&gt;proc~r2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M144.003,-81.3007C152.1158,-83.1937 161.1631,-85.3047 169.8131,-87.323"/>
<polygon fill="#000000" stroke="#000000" points="169.1713,-90.7672 179.705,-89.6312 170.7619,-83.9504 169.1713,-90.7672"/>
</g>
<!-- proc~i2s -->
<g id="proc~~describe~~CallsGraph_node5" class="node">
<title>proc~i2s</title>
<g id="a_proc~~describe~~CallsGraph_node5"><a xlink:href=".././proc/i2s.html" xlink:title="i2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="234,-66 180,-66 180,-42 234,-42 234,-66"/>
<text text-anchor="middle" x="207" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">i2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~i2s -->
<g id="proc~~describe~~CallsGraph_edge4" class="edge">
<title>interface~v2s&#45;&gt;proc~i2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M144.003,-68.6993C152.1158,-66.8063 161.1631,-64.6953 169.8131,-62.677"/>
<polygon fill="#000000" stroke="#000000" points="170.7619,-66.0496 179.705,-60.3688 169.1713,-59.2328 170.7619,-66.0496"/>
</g>
<!-- proc~d2s -->
<g id="proc~~describe~~CallsGraph_node6" class="node">
<title>proc~d2s</title>
<g id="a_proc~~describe~~CallsGraph_node6"><a xlink:href=".././proc/d2s.html" xlink:title="d2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="234,-24 180,-24 180,0 234,0 234,-24"/>
<text text-anchor="middle" x="207" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">d2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~d2s -->
<g id="proc~~describe~~CallsGraph_edge5" class="edge">
<title>interface~v2s&#45;&gt;proc~d2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M134.3529,-62.853C147.6752,-53.5274 166.2758,-40.5069 181.3202,-29.9759"/>
<polygon fill="#000000" stroke="#000000" points="183.5152,-32.7117 189.7004,-24.1097 179.5009,-26.9771 183.5152,-32.7117"/>
</g>
<!-- proc~value_to_string -->
<g id="proc~~describe~~CallsGraph_node7" class="node">
<title>proc~value_to_string</title>
<g id="a_proc~~describe~~CallsGraph_node7"><a xlink:href=".././proc/value_to_string.html" xlink:title="value_to_string">
<polygon fill="#d9534f" stroke="#d9534f" points="355,-87 270,-87 270,-63 355,-63 355,-87"/>
<text text-anchor="middle" x="312.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">value_to_string</text>
</a>
</g>
</g>
<!-- proc~l2s&#45;&gt;proc~value_to_string -->
<g id="proc~~describe~~CallsGraph_edge6" class="edge">
<title>proc~l2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M227.3415,-125.853C243.2501,-116.353 265.5794,-103.0189 283.382,-92.388"/>
<polygon fill="#000000" stroke="#000000" points="285.4298,-95.2418 292.221,-87.1097 281.8408,-89.2318 285.4298,-95.2418"/>
</g>
<!-- proc~r2s&#45;&gt;proc~value_to_string -->
<g id="proc~~describe~~CallsGraph_edge7" class="edge">
<title>proc~r2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M234.1689,-90.592C242.0647,-89.0203 250.9694,-87.2478 259.8697,-85.4762"/>
<polygon fill="#000000" stroke="#000000" points="260.7381,-88.8721 269.8623,-83.4871 259.3714,-82.0068 260.7381,-88.8721"/>
</g>
<!-- proc~i2s&#45;&gt;proc~value_to_string -->
<g id="proc~~describe~~CallsGraph_edge8" class="edge">
<title>proc~i2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M234.1689,-59.408C242.0647,-60.9797 250.9694,-62.7522 259.8697,-64.5238"/>
<polygon fill="#000000" stroke="#000000" points="259.3714,-67.9932 269.8623,-66.5129 260.7381,-61.1279 259.3714,-67.9932"/>
</g>
<!-- proc~d2s&#45;&gt;proc~value_to_string -->
<g id="proc~~describe~~CallsGraph_edge9" class="edge">
<title>proc~d2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M227.3415,-24.147C243.2501,-33.647 265.5794,-46.9811 283.382,-57.612"/>
<polygon fill="#000000" stroke="#000000" points="281.8408,-60.7682 292.221,-62.8903 285.4298,-54.7582 281.8408,-60.7682"/>
</g>
<!-- proc~trimzeros -->
<g id="proc~~describe~~CallsGraph_node8" class="node">
<title>proc~trimzeros</title>
<g id="a_proc~~describe~~CallsGraph_node8"><a xlink:href=".././proc/trimzeros.html" xlink:title="trimzeros">
<polygon fill="#d9534f" stroke="#d9534f" points="448,-87 391,-87 391,-63 448,-63 448,-87"/>
<text text-anchor="middle" x="419.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">trimzeros</text>
</a>
</g>
</g>
<!-- proc~value_to_string&#45;&gt;proc~trimzeros -->
<g id="proc~~describe~~CallsGraph_edge10" class="edge">
<title>proc~value_to_string&#45;&gt;proc~trimzeros</title>
<path fill="none" stroke="#000000" d="M355.0967,-75C363.538,-75 372.3576,-75 380.6658,-75"/>
<polygon fill="#000000" stroke="#000000" points="380.8491,-78.5001 390.849,-75 380.849,-71.5001 380.8491,-78.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>